<?php

/*
 * app.tpl
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

if(!isset($_GET['p'][1]))
{
	header('Location: index.php');
}

$app = $_GET['p'][1];

if(!in_array($app, $class['admin']->installed_apps()))
{
	header('Location: index.php');
}

$is_permitted = false;

$class['user'] = new User;

if(isset($_GET['q']))
{
	if($class['admin']->role_get_info('query', $class['user']->user_get_info('role')) == 'all')
	{
		$is_permitted = true;
	}else{
		$query = $db->select('id, query, sub', 'queries', 'WHERE app=\'' . add_slashes($_GET['p'][1]) . '\' AND query=\'' . add_slashes($_GET['q']) . '\'');
		if($queries = $db->fetch_array($query))
		{
			if(in_array($queries['id'], explode(',', $class['admin']->role_get_info('query', $class['user']->user_get_info('role')))))
			{
				$is_permitted = true;
			}
		}
		
		if($is_permitted == false)
		{
			$query = $db->select('query', 'queries', 'WHERE app=\'' . add_slashes($_GET['p'][1]) . '\' AND sub=1');
			while($queries = $db->fetch_array($query))
			{
				if(substr($_GET['q'], 0, strlen($queries['query']) + 1) === ($queries['query'] . '/'))
				{
					$is_permitted = true;
					break;
				}
			}
		}
	}
}else{
	if($class['admin']->role_get_info('query', $class['user']->user_get_info('role')) == 'all')
	{
		$is_permitted = true;
	}else{
		$app_queries = array();
		$query = $db->select('id', 'queries', 'WHERE app=\'' . add_slashes($_GET['p'][1]) . '\'');
		while($queries = $db->fetch_array($query))
		{
			array_push($app_queries, $queries['id']);
		}
		
		if(count(array_diff($app_queries, explode(',', $class['admin']->role_get_info('query', $class['user']->user_get_info('role'))))) < count($app_queries))
		{
			$is_permitted = true;
		}
	}
}
unset($class['user']);

if($is_permitted)
{
	$page = eval_this($class['admin']->get_app($app, 'admin'));
}else{
	$page = array(
		'title' => PAGE_REQUEST_REFUSED,
		'content' => '<span class="warning">' . PAGE_REQUEST_REFUSED . '</span><br /><br />' . INFO_31
	);
}

if(!isset($page['head']))
{
	$page['head'] = '';
}

$page['head'] .= '<script type="text/javascript">
$(document).ready(function()
{
	$.ajax({
		type: "POST",
		url: "ajax.php?a=features",
		data: "app=' . $app . '",
		success: function(data){
			$("div#sidebar ul.apps li#app_' . $app . '").find("div.features").html(data).slideToggle(250);
		}
	});
});
</script>';

?>
