$(document).ready(function()
{
$("div.manage li.install a, div.manage li.uninstall a").live("click", function(e){
	e.preventDefault();
	var theme = $(this).attr("href").substring(1);
	var manage = $(this).parent().parent().parent();
	
	$.ajax({
		type: "POST",
		url: "ajax.php?a=appearance",
		data: "b=" + $(this).parent().attr("class") + "&theme=" + theme,
		success: function(data){
			var _p = manage.parent().position();
			var _pos = manage.parent().css("width");
			_pos = (Number(_pos.substring(0, _pos.indexOf("p")))  / 2) - 32;
			
			if(data.substring(0, 9) == "INSTALLED")
			{
				manage.fadeOut(500, function(){ manage.html(data.substring(9)); }).fadeIn();
				var screenshot = manage.parent().find("div.screenshot");
				screenshot.html("<a href=\"#preview\" class=\"screenshot\">" + screenshot.html() + "</a>");
				$("img.install").css("left", (_p.left + _pos) + "px").css("top", _p.top + "px").css("display", "block").animate({ top: "+=128", opacity: "0" }, 1000, function(){ $("img.install").css("display", "none").animate({ opacity: "1" }); });
			}
			else if(data.substring(0, 11) == "UNINSTALLED")
			{
				var screenshot = manage.parent().find("div.screenshot");
				screenshot.html(screenshot.html().substring(38, screenshot.html().length - 4));
				manage.fadeOut(500, function(){ manage.html(data.substring(11)); }).fadeIn();
				$("img.uninstall").css("left", (_p.left + _pos) + "px").css("top", (_p.top + 64) + "px").fadeIn().fadeOut(1000);
			}
			else if(data.substring(0, 7) == "MESSAGE")
			{
				$("div#msgcnt div.alert").html(data.substring(7));
				$("div#msgbox, div#msgcnt").fadeIn();
			}
		}
	});
});

$("a.okay").click(function(){ $("div#msgbox, div#msgcnt").fadeOut(); });

$("div.manage li.setasdefault a").live("click", function(e){
	e.preventDefault();
	var theme = $(this).attr("href").substring(1);
	var manage = $(this).parent().parent().parent();
	var _default = $("div.default").attr("id");
	
	$.ajax({
		type: "POST",
		url: "ajax.php?a=appearance",
		data: "b=setasdefault&theme=" + theme,
		success: function(data){
			if(data.substring(0, 4) == "DONE")
			{
				var data = data.split("|");
				var _p = manage.parent().position();
				var _center = manage.parent().css("width");
				_center = (_center.substring(0, _center.indexOf("p"))  / 2) - 32;
				
				
				manage.fadeOut(500, function(){ manage.html(data[0].substring(4)); }).fadeIn();
				$("img.setasdefault").css("left", (_p.left + _center) + "px").css("top", (_p.top + 64) + "px").fadeIn().fadeOut(1000);
				$("div.default").removeClass("default").find("div.manage").html(data[1]);
				$("div#" + _default).find("div.manage li.setasdefault a").attr("href", "#" + _default);
				$("div#" + _default).find("div.manage li.styles a").attr("href", "index.php?p=styles/" + _default);
				$("div#" + _default).find("div.manage li.edit a").attr("href", "index.php?p=edit/" + _default);
				$("div#" + _default).find("div.manage li.uninstall a").attr("href", "#" + _default);
				manage.parent().addClass("default");
			}
		}
	});
});

$("div.screenshot a.screenshot").live("click", function(){
	var _this = $(this);
	$("div#preview-border").fadeIn().click(function(){ 
		$(this).hide();
		$("div#preview").hide();
	});
	$("div#preview").fadeIn().find("iframe").attr("src", "preview.php?theme=" + _this.parent().parent().attr("id"));
})
});