<?php

/*
 * user.tpl
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

require('../incs/file.class.php');
require('../incs/role.class.php');
require('../incs/form.class.php');

if(!isset($_GET['p'][1]))
{
	header('Location: index.php');
}

if(!is_numeric($_GET['p'][1]))
{
	header('Location: index.php');
}

$class['role'] = new Role;
$class['form'] = new Form;

if(isset($_POST['update']) && $class['form']->validate_referer($class['config']->site . '/admin/index.php?p=user', strlen($class['config']->site) + 23))
{
	$query = $db->select('*', 'users', 'WHERE id=\'' . $_GET['p'][1] . '\'');
	if($user = $db->fetch_array($query))
	{
		if(isset($_POST['user']))
		{
			if(preg_match("/^([a-z0-9])(([-a-z0-9._])*([a-z0-9]))([a-z0-9])*$/i" , $_POST['user']))
			{
				$query = $db->select('id', 'users', 'WHERE id!=\'' . $user['id'] . '\' AND user=\'' . add_slashes($_POST['user']) . '\'');
				if(!$users = $db->fetch_array($query))
				{
					$db->update('users', 'user=\'' . add_slashes($_POST['user']) . '\' WHERE id=\'' . $user['id'] . '\'');
				}
			}
		}
		
		if(isset($_POST['pass']))
		{
			if(!empty($_POST['pass']))
			{
				if(!preg_match('/[(<)(>)]/', $_POST['pass']))
				{
					$db->update('users', 'pass=\'' . md5($_POST['pass']) . '\' WHERE id=\'' . $user['id'] . '\'');
				}
			}
		}
		
		if(isset($_POST['email']))
		{
			if(!empty($_POST['email']))
			{
				if(preg_match('/^([a-z0-9])(([-a-z0-9._])*([a-z0-9]))*\@([a-z0-9])*(\.([a-z0-9])([-a-z0-9_-])([a-z0-9])+)*$/i' , $_POST['email']))
				{
					$query = $db->select('id', 'users', 'WHERE id!=\'' . $user['id'] . '\' AND email=\'' . add_slashes($_POST['email']) . '\'');
					if(!$users = $db->fetch_array($query))
					{
						$db->update('users', 'email=\'' . add_slashes($_POST['email']) . '\' WHERE id=\'' . $user['id'] . '\'');
					}
				}
			}
		}
		
		if(isset($_POST['theme']))
		{
			if($_POST['theme'] == '' || in_array($_POST['theme'], $class['admin']->installed_themes()))
			{
				$db->update('users', 'theme=\'' . add_slashes($_POST['theme']) . '\' WHERE id=\'' . $user['id'] . '\'');
			}
		}
		
		if(isset($_POST['language']))
		{
			if($_POST['language'] == '' || in_array($_POST['language'], $class['language']->languages('value')))
			{
				$db->update('users', 'language=\'' . add_slashes($_POST['language']) . '\' WHERE id=\'' . $user['id'] . '\'');
			}
		}
		
		if(isset($_POST['role']))
		{
			if($user['id'] != 1 && in_array($_POST['role'], $class['role']->roles('id')))
			{
				$db->update('users', 'role=\'' . $_POST['role'] . '\' WHERE id=\'' . $user['id'] . '\'');
			}
		}
		
		if(isset($_POST['admin']))
		{
			if($user['id'] != 1 && ($_POST['admin'] == 0 || $_POST['admin'] == 1))
			{
				$db->update('users', 'admin=\'' . $_POST['admin'] . '\' WHERE id=\'' . $user['id'] . '\'');
			}
		}
		
		if(isset($_POST['ban']))
		{
			if($user['id'] != 1 && ($_POST['ban'] == 0 || $_POST['ban'] == 1))
			{
				$db->update('users', 'ban=\'' . $_POST['ban'] . '\' WHERE id=\'' . $user['id'] . '\'');
			} 
		}
		unset($class['form']);
		
		header('Location: index.php?p=usersroles');
	}
}

$query = $db->select('*', 'users', 'WHERE id=\'' . $_GET['p'][1] . '\'');
if($user = $db->fetch_array($query))
{
	if(isset($_GET['p'][2]))
	{
		if($_GET['p'][2] == 'delete' && strtoupper($_POST['yes']) == 'YES' && $class['form']->validate_referer($class['config']->site . '/admin/index.php?p=user', strlen($class['config']->site) + 23) && $user['id'] != 1)
		{
			$db->delete('users', 'WHERE id=\'' . $user['id'] . '\'');
			header('Location: index.php?p=usersroles');
		}
	}
	
	$themes = '';
	foreach($class['admin']->installed_themes() as $value)
	{
		$info = $class['admin']->theme_get_info($value);
		$selected = ($user['theme'] == $value) ? ' selected="selected"' : null;
		$themes .= '<option value="' . $value . '"' . $selected . '>' . $info['name'] . '</option>';
	}
	unset($info);
	
	$languages = '';
	foreach($class['language']->languages() as $key => $value)
	{
		$selected = ($user['language'] == $value['value']) ? ' selected="selected"' : null;
		$languages .= '<option value="' . $value['value'] . '"' . $selected . '>' . $value['name'] . '</option>';
	}
	unset($info);
	
	$roles = '';
	$query = $db->select('id, name', 'roles', 'ORDER BY id');
	while($role = $db->fetch_array($query))
	{
		$selected = ($user['role'] == $role['id']) ? ' selected="selected"' : null;
		$roles .= '<option value="' . $role['id'] . '"' . $selected . '>' . $role['name'] . '</option>';
	}
	unset($role);
	
	$admin = array('', '');
	$admin[$user['admin']] = ' checked="checked"';
	
	$ban = array('', '');
	$ban[$user['ban']] = ' checked="checked"';
	
	$content = '<form name="user" action="index.php?p=user/' . $_GET['p'][1] . '" method="post">
<span class="title user">' . $user['user'] . '</span>
<div class="table user">
	<div class="row">
		<div class="cell name">' . USERNAME . ':</div>
		<div class="cell field"><input name="user" type="text" value="' . $user['user'] . '" /></div>
	</div>
	<div class="row">
		<div class="cell name">' . PASSWORD . ':</div>
		<div class="cell field"><input name="pass" type="password" value="" /></div>
	</div>
	<div class="row">
		<div class="cell name">' . EMAIL . ':</div>
		<div class="cell field"><input name="email" type="text" value="' . $user['email'] . '" /></div>
	</div>
	<div class="row">
		<div class="cell name">' . THEME . ':</div>
		<div class="cell field"><select name="theme"><option value="">[' . _DEFAULT_ . ']</option>' . $themes . '</select></div>
	</div>
	<div class="row">
		<div class="cell name">' . LANGUAGE . ':</div>
		<div class="cell field"><select name="language"><option value="">[' . _DEFAULT_ . ']</option>' . $languages . '</select></div>
	</div>
	<div class="row">
		<div class="cell name">' . ROLE . ':</div>
		<div class="cell field"><select name="role">' . $roles . '</select></div>
	</div>
	<div class="row">
		<div class="cell name">' . ADMIN . ':</div>
		<div class="cell field"><label><input name="admin" type="radio" value="1"' . $admin[1] . ' /> ' . YES . '</label> &nbsp; <label><input name="admin" type="radio" value="0"' . $admin[0] . ' /> ' . NO . '</label></div>
	</div>
	<div class="row">
		<div class="cell name">' . BAN . ':</div>
		<div class="cell field"><label><input name="ban" type="radio" value="1"' . $ban[1] . ' /> ' . YES . '</label> &nbsp; <label><input name="ban" type="radio" value="0"' . $ban[0] . ' /> ' . NO . '</label></div>
	</div>
</div>
<div class="buttons"><input name="update" type="submit" value="' . UPDATE . '" /> &nbsp <a href="index.php?p=usersroles">[' . BACK . ']</a> &nbsp; <a href="index.php?p=user/' . $_GET['p'][1] . '" class="delete" title="' . DELETE . '"><img alt="' . DELETE . '" src="../misc/transparent.gif" align="absmiddle" style="width:32px; height:32px; background: url(../misc/delete-32.png) no-repeat center;" /></a></div>
</form>

<form name="delete" action="index.php?p=user/' . $_GET['p'][1] . '/delete" method="post"><div id="msgbox"></div>
<div id="msgcnt">
	<div style="font-weight: bold;">' . INFO_26 . '</div><br /><br />
	<div style="text-align: center">' . PLEASE_TYPE_YES_IN_THE_FIELD . ': <input name="yes" type="text" value="" size="5" class="yes" /></div><br />
	<div style="text-align: center;"><input name="delete" type="submit" value="' .DELETE . '" /> &nbsp; <a href="#" class="cancel">[' . NOPE . ']</a></div>
</div></form>';
	
	unset($themes);
	unset($languages);
	unset($roles);
	unset($admin);
	unset($ban);
	
	$page['title'] = USER . ': ' . $user['user'];
	$page['head'] = '<link href="user.css" type="text/css" rel="stylesheet" />
<link href="table.css" type="text/css" rel="stylesheet" />
<link href="message.css" type="text/css" rel="stylesheet" />
<link href="' . (($class['language']->direction == 'rtl') ? 'rtl/form-rtl.css' : 'form.css') . '" type="text/css" rel="stylesheet" />
<script type="text/javascript" src="user.js"></script>';
	$page['content'] = $content;
	
	unset($content);
}

?>
