<?php

/*
 * application.class.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class Application
{
	function is_installed($app)
	{
		global $db;
		
		$query = $db->select('id', 'apps', 'WHERE name=\'' . add_slashes($app) . '\'');
		return ($app = $db->fetch_array($query)) ? true : false;
	}
	
	function is_enabled($app)
	{
		global $db;
		
		$query = $db->select('id', 'apps', 'WHERE name=\'' . add_slashes($app) . '\' AND enabled=1');
		return ($app = $db->fetch_array($query)) ? true : false;
	}
	
	function is_compatible($app)
	{
		$class['file'] = new File;
		$class['config'] = new Config;
		
		$version = $class['file']->get_version('../apps/' . $app . '/' . $app . '.info');
		$star = strpos(strtolower($version), '*');
		
		if(empty($star))
		{
			return ($version === $class['config']->version) ? true : false;
		}else{
			$version = substr($version, 0, $star);
			$limny = substr($class['config']->version, 0, $star);
			return ($version === $limny) ? true : false;
		}
	}
}

?>
