<?php

/*
 * form.class.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class Form
{
	function get_domain_name($address)
	{
		$address = explode('/', $address);
		if(preg_match('/^[0-9]{1,3}.[0-9]{1,3}.[0-9]{1,3}.[0-9]{1,3}$/', $address[2]))
		{
			return $address[2];
		}else{
			$domain = explode('.', $address[2]);
			$count = count($domain);
			
			return $domain[$count - 2] . '.' . $domain[$count - 1];
		}
	}
	
	function validate_referer($address = '', $count = 0)
	{
		$ref = strtolower(@$_SERVER['HTTP_REFERER']);
		if(empty($address))
		{
			$class['config'] = new Config;
			return ($this->get_domain_name($class['config']->site) == $this->get_domain_name($ref)) ? true : false;
		}else{
			global $db;
			
			$query = $db->select('permalink', 'permalinks', 'WHERE query=\'' . add_slashes($address) . '\'');
			$permalink = ($permalink = $db->fetch_array($query)) ? $permalink['permalink'] : false;
			$ref = ($count > 0) ? substr($ref, 0, $count) : $ref;
			return ($ref == $address || $ref == url($address, true) || $ref == url($permalink, true)) ? true : false;
		}
	}
}

?>
