<?php

/*
 * mysql.class.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class Database
{
	private $host;
	private $user;
	private $pass;
	private $db;
	private $prfx;
	
	function __construct()
	{
		global $config;
		$this->host = $config['hostname'];
		$this->user = $config['username'];
		$this->pass = $config['password'];
		$this->db = $config['database'];
		$this->prfx = $config['tbl_prfx'];
		unset($config);
	}
	
	function connect()
	{	
		return (@mysql_connect($this->host, $this->user, $this->pass)) ? true : false;
	}
	
	function close()
	{
		mysql_close($this->connect());
	}
	
	function select_db()
	{
		return (@mysql_select_db($this->db)) ? true : false;
	}
	
	function select($fields, $table, $arguments = '')
	{
		return mysql_query('SELECT ' . $fields . ' FROM ' . $this->prfx . $table . ' ' . $arguments . ';');
	}
	
	function insert($table, $values)
	{
		mysql_query('INSERT INTO ' . $this->prfx . $table . ' VALUES ' . $values . ';');
	}
	
	function update($table, $arguments)
	{
		mysql_query('UPDATE ' . $this->prfx . $table . ' SET ' . $arguments . ';');
	}
	
	function delete($table, $arguments)
	{
		mysql_query('DELETE FROM ' . $this->prfx . $table . ' ' . $arguments . ';');
	}
	
	function create_table($table, $arguments = '')
	{
		mysql_query('CREATE TABLE IF NOT EXISTS `' . $this->prfx . $table . '` ' . $arguments . ';');
	}
	
	function drop_table($table)
	{
		mysql_query('DROP TABLE `' . $this->prfx . $table . '`;');
	}
	
	function fetch_array($query)
	{
		return mysql_fetch_array($query);
	}
	
	function num_rows($query)
	{
		return mysql_num_rows($query);
	}
}

?>
