<?php

/*
 * page.class.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class Page
{
	public $_title;
	public $_head;
	public $_content;
	public $_page;
	
	function __get($position)
	{
		$class['widget'] = new Widget;
		return $class['widget']->load_widgets($position);
	}
	
	function make()
	{
		$class['theme'] = new Theme;
		$this->_head = $class['theme']->load_head();
		
		$class['config'] = new Config;
		$class['content'] = new Content;
		$class['language'] = new Language;
		
		$content = $class['content']->make();
		$this->_title = $class['config']->title;
		$this->_content = $content['content'];
		
		if(isset($content['title']))
		{
			$this->_title = $content['title'] . ' | ' . $this->_title;
		}
		
		$this->_head .= (isset($content['head'])) ? $content['head'] : null;
		
		ob_start();
		include(__PATH__ . '/themes/' . $class['config']->theme . '/index.tpl');
		$page = ob_get_contents();
		ob_end_clean();
		
		$this->_page = $page;
	}
}

?>
