<?php

/*
 * role.class.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class Role
{
	function roles($field = '')
	{
		global $db;
		
		$roles = array();
		if(empty($field))
		{
			$query = $db->select('*', 'roles');
			while($role = $db->fetch_array($query))
			{
				array_push($roles, $role);
			}
		}else{
			$field = add_slashes($field);
			$query = $db->select($field, 'roles');
			while($role = $db->fetch_array($query))
			{
				array_push($roles, $role[$field]);
			}
		}
		return $roles;
	}
}

?>
