<?php

/*
 * theme.class.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class Theme
{
	function load_style($theme, $name)
	{
		global $db;
		
		$query = $db->select('value', 'styles', 'WHERE theme=\'' . add_slashes($theme) . '\' AND name=\'' . add_slashes($name) . '\'');
		return ($style = $db->fetch_array($query)) ? $style['value'] : false;
	}
	
	function load_image($theme, $name)
	{
		global $db;
		
		$query = $db->select('image', 'images', 'WHERE theme=\'' . add_slashes($theme) . '\' AND name=\'' . add_slashes($name) . '\'');
		return ($image = $db->fetch_array($query)) ? $image['image'] : false;
	}
	
	function load_head()
	{
		global $db;
		
		$heads = '';
		$query = $db->select('eval', 'head', 'WHERE enabled=\'1\' ORDER BY id ASC');
		while($head = $db->fetch_array($query))
		{
			$heads .= eval_this($head['eval']);
		}
		return $heads;
	}
}

?>
