<?php

/*
 * user.class.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class User
{
	function user_get_info($field = '*', $user = '')
	{
		global $db;
		
		$user = (empty($user) && $this->is_authorized()) ? $_SESSION['_user'] : $user;
		$query = $db->select($field, 'users', 'WHERE user=\'' . add_slashes($user) . '\'');
		if($user = $db->fetch_array($query))
		{
			return ($field == '*' || strpos($field, ',') === true) ? $user : $user[$field];
		}
	}
	
	function is_authorized()
	{
		global $db;
		
		if(isset($_SESSION['_user']) && isset($_SESSION['_pass']))
		{
			$query = $db->select('id', 'users', 'WHERE user=\'' . add_slashes($_SESSION['_user']) . '\' AND pass=\'' . add_slashes($_SESSION['_pass']) .'\'');
			return ($users = $db->fetch_array($query)) ? true : false;
		}else{
			if(isset($_COOKIE['_user']) && isset($_COOKIE['_hash']))
			{
				$query = $db->select('pass', 'users', 'WHERE user=\'' . add_slashes($_COOKIE['_user']) . '\' AND hash=\'' . add_slashes($_COOKIE['_hash']) . '\'');
				if($users = $db->fetch_array($query))
				{
					$_SESSION['_user'] = add_slashes($_COOKIE['_user']);
					$_SESSION['_pass'] = $users['pass'];
					return true;
				}else{
					setcookie('_user', '', time() - 2592000, '/');
					setcookie('_hash', '', time() - 2592000, '/');
				}
			}
		}
		return false;
	}
	
	function user_exists($user, $pass)
	{
		global $db;
		
		$query = $db->select('id', 'users', 'WHERE user=\'' . add_slashes($user) . '\' AND pass=\'' . md5($pass) . '\'');
		return ($users = $db->fetch_array($query)) ? true : false;
	}
	
	function set_login_session($user, $pass, $remember = false)
	{
		global $db;
		
		$_SESSION['_user'] = $user;
		$_SESSION['_pass'] = md5($pass);
		
		if($remember)
		{
			$hash = md5($user . $pass . rand(0, 999));
			
			$db->update('users', 'hash=\'' . add_slashes($hash) . '\' WHERE user=\'' . add_slashes($user) . '\'');
			
			setcookie('_user', $user, time() + 2592000, '/');
			setcookie('_hash', $hash, time() + 2592000, '/');
		}
		
		return true;
	}
	
	function is_banned($user)
	{
		global $db;
		
		$query = $db->select('ban', 'users', 'WHERE user=\'' . add_slashes($user) . '\' AND ban=1');
		return ($users = $db->fetch_array($query)) ? true : false;
	}
}

?>
