<?php

/*
 * index.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

require(dirname(__FILE__) . '/init.php');

session_name('_limny');
session_start();

include(__PATH__ . '/incs/config.class.php');
include(__PATH__ . '/incs/user.class.php');
include(__PATH__ . '/incs/role.class.php');
include(__PATH__ . '/incs/language.class.php');
include(__PATH__ . '/incs/theme.class.php');
include(__PATH__ . '/incs/page.class.php');
include(__PATH__ . '/incs/application.class.php');
include(__PATH__ . '/incs/content.class.php');
include(__PATH__ . '/incs/widget.class.php');
include(__PATH__ . '/incs/permalink.class.php');

$class['language'] = new Language;
include_once(__PATH__ . '/langs/'.$class['language']->language.'/main.php');

$class['page'] = new Page;
$class['page']->make();
print $class['page']->_page;

?>
