<?php

/*
 * init.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

define('__PATH__', str_replace('\\', '/', dirname(__FILE__)));

require_once(__PATH__ . '/config.php');
require_once(__PATH__ . '/incs/functions.php');
require_once(__PATH__ . '/incs/' . $config['dbs_type'] . '.class.php');

$db = new Database;
if(!$db->connect() || !$db->select_db())
{
	print 'It seem Limny is not installed yet. Please click <a href="install/install.php">here</a> to install it.';
	exit;
}

if(file_exists(__PATH__ . '/install/install.php'))
{
	print 'Connection to database established. If you are already installed Limny, <u>delete `install` directory</u> otherwise go to install directory in your browser. Installation directory existence consider a security risk.';
	exit;
}

?>
