<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
<title>Limny installer</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
body {
	margin: 0;
	padding: 0;
	font-size: 10pt;
	font-family: Verdana, Arial, Helvetica, sans-serif;
}

#header {
	width: 100%;
	height: 90px;
	padding-top: 10px;
	border-bottom: 1px solid #DDDDDD;
	background: url(install.png) no-repeat bottom right #EEEEEE;
}

#header ul {
	margin: 0;
	padding: 5px 10px;
	list-style: none;
}

#header ul li {
	color: #333333;
	cursor: default;
	display: inline;
	padding-right: 30px;
}

#header ul li.s {
	font-weight: bold;
	text-decoration: underline;
}

#content {
	width: 40%;
	padding: 0 20px;
}

#buttons {
	padding-top: 30px;
	text-align: right;
}

a img {
	border: 0;
}

input[type=submit] {
	color: #EEEEEE;
	font-size: 12px;
	padding: 2px 20px;
	font-weight: bold;
	border: 1px solid #960000;
	background: url(../misc/button.png) #CD0000;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	border-radius: 12px;
	box-shadow: 0px 0px 10px #DDDDDD;
	-moz-border-radius: 12px;
	-moz-box-shadow: 0px 0px 10px #DDDDDD;
	-webkit-border-radius: 12px;
	-webkit-box-shadow: 0px 0px 10px #DDDDDD;
}

.table {
	display: table;
}

.row {
	display: table-row;
}

.cell {
	min-width: 90px;
	padding: 2px 10px;
	display: table-cell;
}

input[type=text], input[type=password], textarea, select {
	padding: 5px;
	font-size: 14px;
	background: #F7F7F7;
	border: 1px solid #AAAAAA;
	border-radius: 5px;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	
}

#message {
	color: #222222;
	margin: 10px 0;
	padding: 10px 20px;
	background: #FFFAE4;
	border: 1px solid #E5C530;
	border-radius: 5px;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
}
</style>
</head>
<body>
<div id="header">
	<a href="install.php"><img src="limny.png" alt="Limny" /></a>
	<ul>
		<?php
		$s = (isset($_GET['s'])) ? $_GET['s'] : 1;
		$steps = array(1 => 'Welcome', 2 => 'Requirements', 3 => 'Configuration', 4 => 'Finish');
		foreach($steps as $key => $value)
		{
			print '<li' . (($s == $key) ? ' class="s"' : null) . '>' . $value . '</li>';
		}
		?>
	</ul>
</div>
<div id="content">
<?php
	function is_submitted()
	{
		if(!isset($_POST['s']))
		{
			print '<p>You must navigate to steps using forms. Please <a href="install.php">install</a> again.</p></div></body></html>';
			exit;
		}
	}
	
	function unhtml($str)
	{
		str_replace('<', '&lt;', $str);
		str_replace('>', '&gt;', $str);
		str_replace('"', '&quot;', $str);
		return $str;
	}
	
	switch(@$_GET['s'])
	{
		default;
			print '<form name="limny" action="install.php?s=2" method="post"><p style="text-align:justify;">Welcome to Limny installation. These pages help you to install and configure Limny in a minute. There are several requirements for installing which are necessary for successful installation. Please go to next step to see requirements.</p><div id="buttons"><input name="next" type="submit" value="Next Step" /></div><input name="s" type="hidden" value="2" /></form>';
		break;
		
		case('2');
			is_submitted();
			
			$true = '<span style="color:green;">&#10004;</span>';
			$false = '<span style="color:red;">&#215;</span>';
			
			$version = false;
			$config = false;
			
			if(current(explode('.', phpversion())) > 3)
			{
				$version = true;
				$version_status = $true;
			}else{
				$version_status = $false;
			}
			
			$config_status = $false;
			if(file_exists('../config.php'))
			{
				if(is_writable('../config.php'))
				{
					$config = true;
					$config_status = $true;
				}
			}
			
			print '<form name="limny" action="install.php?s=' . (($version == true && $config == true) ? '3' : '2') . '" method="post"><p style="text-align:justify;">There are several requirements for installing Limny. Please make sure that all of them are available else check them and click on check again button.<ul style="list-style:none;color:#555555;"><li>' . $version_status . ' &nbsp; PHP 4 or above</li><li>' . $config_status . ' &nbsp; Writable configuration file (config.php)</li></ul></p><div id="buttons"><input name="next" type="submit" value="' . (($version == true && $config == true) ? 'Next Step' : 'Check Again') . '" /></div><input name="s" type="hidden" value="3" /></form>';
		break;
		
		case('3');
			is_submitted();
			
			$message = null;
			$continue = false;
			
			if(isset($_POST['install']))
			{
				if(@mysql_connect($_POST['db_host'], $_POST['db_user'], $_POST['db_pass']))
				{
					if(@mysql_select_db($_POST['db_name']))
					{
						$continue = true;
					}else{
						$message = '<div id="message">Cannot connect to database. Make sure that database exists.</div>';
					}
				}else{
					$message = '<div id="message">Cannot connect to host. Please check database <i>hostname</i>, <i>username</i> and <i>password</i>.</div>';
				}
				
				if($continue)
				{
					if(empty($_POST['cf_title']) || empty($_POST['cf_header']) || empty($_POST['cf_site']))
					{
						$continue = false;
						$message = '<div id="message">Please fill <i>title</i>, <i>header</i> and <i>site</i> fields.</div>';
					}
				}
				
				if($continue)
				{
					if(empty($_POST['ad_user']) || empty($_POST['ad_pass']))
					{
						$continue = false;
						$message = '<div id="message">Please fill administrator <i>username</i> and <i>password</i>.</div>';
					}
				}
				
				if($continue)
				{
					if(!get_magic_quotes_gpc())
					{
						foreach($_POST as $key => $value)
						{
							$POST[$key] = addslashes($value);
						}
					}
					
					$config_file = fopen('../config.php', 'w+');
					fwrite($config_file, '<?php' . "\n\n" . '$config = array(' . "\n\t" . '\'dbs_type\' => \'mysql\',' . "\n\t" . '\'hostname\' => \'' . $_POST['db_host'] . '\',' . "\n\t" . '\'username\' => \'' . $_POST['db_user'] . '\',' . "\n\t" . '\'password\' => \'' . $_POST['db_pass'] . '\',' . "\n\t" . '\'database\' => \'' . $_POST['db_name'] . '\',' . "\n\t" . '\'tbl_prfx\' => \'' . $_POST['db_tblpr'] . '\'' . "\n" . ');' . "\n\n" . '?>');
					fclose($config_file);
					
					$database_file = fopen('./database.sql', 'r');
					$database_content = fread($database_file, filesize('./database.sql'));
					fclose($database_file);
					
					foreach(explode(";\n\n", $database_content) as $key => $value)
					{
						$value = str_replace('lmn_', $_POST['db_tblpr'], $value);
						if($key == 2)
						{
							$value = str_replace('My title', $_POST['cf_title'], $value);
							$value = str_replace('My Header', $_POST['cf_header'], $value);
							$value = str_replace('http://www.limny.org', $_POST['cf_site'], $value);
						}
						else if($key == 22)
						{
							$value = str_replace('(1, \'admin\'', '(1, \'' . $_POST['ad_user'] . '\'', $value);
							$value = str_replace('21232f297a57a5a743894a0e4a801fc3', md5($_POST['ad_pass']), $value);
						}
						mysql_query($value);
					}
					unset($database_content);
					
					print '<form name="join" action="install.php?s=4" method="post"><p style="text-align:justify;">Limny installed successfully. We recommend you to join in our community to be informed about updates.</p><ul style="list-style:none;"><li><label><input name="join" type="radio" value="yes" checked="checked" /> Yes, I want to be informed about updates</label></li><li><label><input name="join" type="radio" value="no" /> No, thank you</label></li></ul><div id="buttons"><input name="next" type="submit" value="Next Step" /></div><input name="s" type="hidden" value="4" /></form>';
				}
			}
			
			print (($continue) ? '<div style="display:none;">' : null) . '<form name="limny" action="install.php?s=3" method="post">' . ((!$continue) ? $message : null) . '<p style="font-weight:bold;">Database</p><div class="table"><div class="row"><div class="cell">Type:</div><div class="cell"><select name="type"><option value="mysql">MySQL</option></select></div></div><div class="row"><div class="cell">Hostname:</div><div class="cell"><input name="db_host" type="text" value="' . ((isset($_POST['db_host'])) ? unhtml($_POST['db_host']) : null) . '" /></div></div><div class="row"><div class="cell">Username:</div><div class="cell"><input name="db_user" type="text" value="' . ((isset($_POST['db_user'])) ? unhtml($_POST['db_user']) : null) . '" /></div></div><div class="row"><div class="cell">Password:</div><div class="cell"><input name="db_pass" type="password" value="" /></div></div><div class="row"><div class="cell">Database:</div><div class="cell"><input name="db_name" type="text" value="' . ((isset($_POST['db_name'])) ? unhtml($_POST['db_name']) : 'limny') . '" /></div></div><div class="row"><div class="cell">Table Prefix:</div><div class="cell"><input name="db_tblpr" type="text" value="' . ((isset($_POST['db_tblpr'])) ? unhtml($_POST['db_tblpr']) : 'lmn_') . '" /></div></div></div><br /><p style="font-weight:bold;">Configuration</p><div class="table"><div class="row"><div class="cell">Title:</div><div class="cell"><input name="cf_title" type="text" value="' . ((isset($_POST['cf_title'])) ? unhtml($_POST['cf_title']) : 'My Title') . '" /></div></div><div class="row"><div class="cell">Header:</div><div class="cell"><input name="cf_header" type="text" value="' . ((isset($_POST['cf_header'])) ? unhtml($_POST['cf_header']) : 'My Header') . '" /></div></div><div class="row"><div class="cell">Site:</div><div class="cell"><input name="cf_site" type="text" value="' . ((isset($_POST['cf_site'])) ? unhtml($_POST['cf_site']) : 'http://' . $_SERVER['HTTP_HOST'] . str_replace('/install/install.php', '', $_SERVER['PHP_SELF'])) . '" /></div></div></div><br /><p style="font-weight:bold;">Administrator</p><div class="table"><div class="row"><div class="cell">Username:</div><div class="cell"><input name="ad_user" type="text" value="' . ((isset($_POST['ad_user'])) ? unhtml($_POST['ad_user']) : 'admin') . '" /></div></div><div class="row"><div class="cell">Password:</div><div class="cell"><input name="ad_pass" type="password" value="" /></div></div></div><div id="buttons"><input name="install" type="submit" value="Install" /></div><input name="s" type="hidden" value="2" /></form>' . (($continue) ? '</div>' : null);
		break;
		
		case('4');
			is_submitted();
			if(isset($_POST['join']))
			{
				if($_POST['join'] == 'yes')
				{
					print '<meta http-equiv="refresh" content="0;url=http://www.limny.org/join" />';
				}
			}
			print '<p>Thank you for installing Limny.</p><p>Click <a href="http://' . $_SERVER['HTTP_HOST'] . str_replace('/install/install.php', '', $_SERVER['PHP_SELF']) . '">here</a> to go to home page.</p>';
		break;
	}
?>
</div>
</body>
</html>
