<?php

/*
 * user.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

def('_OR_', 'or');
def('EMAIL', 'Email');
def('ACTIVATION', 'Activation');
def('SAVE_CHANGES', 'Save changes');
def('PASSWORD_RESET', 'Password reset');
def('FORGOT_PASSWORD', 'Forgot Password');
def('REPEAT_PASSWORD', 'Repeat password');
def('REQUEST_PASSWORD', 'Request password');
def('REGISTRATION_SUCCESSFUL', 'Registration Successful');

def('USER_1', 'The password reset code is expired.');
def('USER_2', 'Sorry, you can not access this page because you are not logged in yet.');
def('USER_3', 'The entry username and password are wrong.');
def('USER_4', 'This user account has been banned.');
def('USER_5', 'Please fill both username and email field then continue registration.');
def('USER_6', 'The username must have 3 characters at least.');
def('USER_7', 'This username is invalid. Please enter a valid username.');
def('USER_8', 'This username is already taken. Please choose another one.');
def('USER_9', 'This email address is invalid. Please enter a valid email address.');
def('USER_10', 'This email address is already taken. Please choose another one.');
def('USER_11', 'An activation email sent to {EMAIL}. Please verify this email address by clicking on activation link.');
def('USER_12', "{USERNAME}\n\nYou or another one has used this email for registering in {SITE}. Please continue registration by clicking on this link:\n\n{ACTIVATION_URL}");
def('USER_13', 'Sorry, registration is disabled by system administrator.');
def('USER_14', 'This registration code is invalid.');
def('USER_15', 'This registration code is expired.');
def('USER_16', 'Please fill both passwords fields.');
def('USER_17', 'The password must have 6 characters at least.');
def('USER_18', 'The entry passwords are not same. Please enter same passwords.');
def('USER_19', 'You have registered successfully.');
def('USER_20', "{USERNAME}\n\nYou have registered successfully in {SITE}.");
def('USER_21', 'Changes saved successfully.');
def('USER_22', "{USERNAME}\n\nYou or another one has used this email in {SITE}. Please confirm operation by clicking on this link:\n\n{ACTIVATION_URL}");
def('USER_23', 'Invalid code for updating email.');
def('USER_24', 'This code is expired for updating email.');
def('USER_25', 'Your new email saved in your profile successfully.');
def('USER_26', 'Please enter your username or email then submit your request.');
def('USER_27', 'No user found with entry information');
def('USER_28', 'A password reset link sent to your email. Please continue operation by clicking on password reset link.');
def('USER_29', "{USERNAME}\n\nYou or another one has requested for new password in {SITE}. Please click on password reset link if you want to change your password:\n\n{PASSWORD_RESET_URL}");
def('USER_30', 'The password reset code is invalid.');

?>
