<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="<?php print $class['language']->direction; ?>">
<head>
<title><?php print $this->_title; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php print $class['language']->charset; ?>" />
<meta name="generator" content="Limny <?php print $class['config']->version; ?>" />
<link rel="stylesheet" href="<?php print base_path(); ?>/themes/anywhere/style<?php print ($class['language']->direction == 'rtl') ? '-rtl' : null; ?>.css.php" type="text/css" />
<link rel="shortcut icon" href="<?php print base_path(); ?>/misc/favicon.ico" type="image/x-icon" />
<script type="text/javascript" src="<?php print base_path(); ?>/misc/jquery.js"></script>
<?php print $this->_head; ?>
</head>
<body>
<div id="head">
	<div id="logo"><div><a href="<?php print $class['config']->site; ?>" title="<?php print $class['config']->header; ?>"><?php print $class['config']->header; ?></a></div></div>
	<div id="empty"></div>
	<div id="header">
		<div class="left"></div>
		<div class="center">
			<ul class="nav">
				<li><a href="<?php print $class['config']->site; ?>"><?php print HOME; ?></a></li>
				<?php $class['user'] = new User; if($class['user']->is_authorized()) { ?>
				<li><a href="<?php print url('-/profile'); ?>"><?php print PROFILE; ?></a></li>
				<?php }else{ ?>
				<li><a href="<?php print url('-/register'); ?>"><?php print REGISTER; ?></a></li>
				<?php } ?>
				<?php if($class['user']->is_authorized()) { ?>
				<li><a href="<?php print url('-/logout'); ?>"><?php print LOGOUT; ?></a></li>
				<?php }else{ ?>
				<li><a href="<?php print url('-/login'); ?>"><?php print LOGIN; ?></a></li>
				<?php } ?>
			</ul>
		</div>
		<div class="right"></div>
		<div style="clear:both;"></div>
	</div>
	<?php print $this->header; ?>
</div>
<div id="wrapper">
	<div class="left"><?php print $this->left; ?></div>
	<div class="center"><?php print $this->center; ?></div>
	<div class="right"><?php print $this->right; ?></div>
	<div style="clear:both;"></div>
</div>
<div id="footer">
	<div class="left"></div>
	<div class="center"><?php print $this->footer; ?></div>
	<div class="right"></div>
	<div style="clear:both;"></div>
</div>
<div class="limny"><a title="Powered by Limny" href="http://www.limny.org"><img alt="Limny" src="<?php print base_path(); ?>/misc/limny-button.png" /></a></div>
</body>
</html>