<?php

require(dirname(__FILE__) . '/../../init.php');
require(__PATH__ . '/incs/theme.class.php');

header('Content-Type: text/css');
$class['theme'] = new Theme;

?>
body {
	margin: 0;
	padding: 0;
	font-size: 10pt;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	background: url(data:image/png;base64,<?php print $class['theme']->load_image('anywhere', 'Header'); ?>) repeat-x <?php print $class['theme']->load_style('anywhere', 'Background'); ?>;
}

#logo {
	z-index: -1;
	width: 1000px;
	height: 100px;
	position: absolute;
	margin: 10px 0 0 10px;
	background: url(data:image/png;base64,<?php print $class['theme']->load_image('anywhere', 'Logo'); ?>) no-repeat left;
}

#logo div {
	font-size: 26pt;
	margin: 25px 130px;
	text-decoration: none;
	font-family: Times New Roman, Times, serif, Georgia;
}

#logo div a {
	color: <?php print $class['theme']->load_style('anywhere', 'Title'); ?>;
	text-shadow: 0px 0px 10px <?php print $class['theme']->load_style('anywhere', 'Title'); ?>;
}

#head, #wrapper, #footer {
	margin: 0 auto;
	min-width: 1000px;
	max-width: 1300px;
}

#empty {
	width: 100%;
	height: 90px;
}

#header {
	width: 100%;
	height: 30px;
}

#header .left {
	width: 20%;
	float: left;
	height: 30px;
	background: url(top-left.png) no-repeat bottom right;
}

#header .center {
	width: 60%;
	float: left;
	height: 30px;
	background: url(top-center.png) repeat-x bottom;
}

#header .right {
	width: 20%;
	float: left;
	height: 30px;
	background: url(top-right.png) no-repeat bottom left;
}

#wrapper .left {
	width: 20%;
	float: left;
	min-height: 500px;
	background: url(mid-left.png) repeat-y right;
}

#wrapper .center {
	width: 60%;
	float: left;
	min-height: 485px;
	background: #FFFFFF;
	padding: 15px 0 0 0;
}

#wrapper .right {
	width: 20%;
	float: left;
	min-height: 500px;
	background: url(mid-right.png) repeat-y left;
}

#footer .left {
	width: 20%;
	float: left;
	height: 100px;
	background: url(bot-left.png) no-repeat top right;
}

#footer .center {
	width: 60%;
	float: left;
	height: 100px;
	background: url(bot-center.png) repeat-x top;
}

#footer .right {
	width: 20%;
	float: left;
	height: 100px;
	background: url(bot-right.png) no-repeat top left;
}

a {
	color: <?php print $class['theme']->load_style('anywhere', 'Anchor'); ?>;
	text-decoration: none;
}

a:hover {
	color: #CC0000;
}

ul.nav {
	margin: 0;
	font-size: 10pt;
	list-style: none;
	padding: 10px 0 0 0;
	font-family: Verdana, Arial, Helvetica, sans-serif;
}

ul.nav li {
	float: left;
	margin-right: 36px;
	padding: 0 5px 2px 5px;
}

ul.nav a {
	color: #444444;
}

div.widget {
	margin: 10px 30px;
}

div.widget .title {
	color: #555555;
	font-size: 16pt;
	font-family: Arial, Verdana, Helvetica, sans-serif;
	text-decoration: bold;
}

div.widget .content {
	padding: 10px;
}

div.limny {
	margin-top: 10px;
	text-align: center;
}

div.limny img {
	border: 0;
}