<?php

require(dirname(__FILE__) . '/../../init.php');
require(__PATH__ . '/incs/theme.class.php');

header('Content-Type: text/css');
$class['theme'] = new Theme;

?>
body {
	margin: 0 auto;
	min-width: 1000px;
	max-width: 1250px;
	padding: 0;
	font-size: 10pt;
	font-family: Arial;
	background: url(data:image/png;base64,<?php print $class['theme']->load_image('spica', 'Header'); ?>) repeat-x <?php print $class['theme']->load_style('spica', 'Background'); ?>;
}

a {
	color: #235394;
	text-decoration: none;
}

a:hover {
	color: #DD0000;
}

#header, #wrapper, #footer {
	width: 100%;
	text-align: center;
}

#header {
	height: 110px;
	background: url(data:image/png;base64,<?php print $class['theme']->load_image('spica', 'Logo'); ?>) no-repeat left;
}

#header #logo {
	text-align: left;
	padding: 30px 0 0 130px;
}

#header a {
	color: <?php print $class['theme']->load_style('spica', 'Title'); ?>;
	font-size: 26pt;
	text-decoration: none;
	font-family: Times New Roman;
	text-shadow: 0px 0px 10px <?php print $class['theme']->load_style('spica', 'Title'); ?>;
}

#wrapper {
	display: table;
}

#wrapper .row {
	display: table-row;
}

#wrapper .left {
	min-height: 500px;
	display: table-cell;
	vertical-align: top;
}

#wrapper .center {
	display: table-cell;
	height: 485px;
	text-align: left;
	padding: 15px 20px;
	width: 100%;
	vertical-align: top;
}

#wrapper .right {
	min-height: 500px;
	display: table-cell;
	vertical-align: top;
}

.boximg {
	background-image: url(data:image/png;base64,<?php print $class['theme']->load_image('spica', 'Box'); ?>);
}

.box {
	width: 220px;
	margin: 10px 5px;
	background-repeat: repeat-y;
	background-position: 50% 0;
}

.box .title {
	height: 25px;
	color: <?php print $class['theme']->load_style('spica', 'Box title'); ?>;
	text-align: left;
	padding: 2px 10px;
	font-weight: bold;
	background-repeat: no-repeat;
	background-position: 0%;
}

.box .content {
	text-align: left;
	padding: 0 0 20px 15px;
	background-repeat: no-repeat;
	background-position: 100% bottom;
}

div.limny {
	margin-top: 10px;
	text-align: center;
}

div.limny img {
	border: 0;
}