<?php

/*
 * ajax.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

require('init.php');
require('../incs/form.class.php');

$class['form'] = new Form;

if(@$_GET['a'] != 'features' && !$class['admin']->is_permitted(@$_GET['a']))
{
	exit;
}
	
switch(@$_GET['a'])
{
	case('features');
		if($class['form']->validate_referer($class['config']->site . '/admin', strlen($class['config']->site) + 6))
		{
			if(isset($_POST['app']) && in_array($_POST['app'], $class['admin']->installed_apps()))
			{
				echo $class['admin']->get_app($_POST['app'], 'features');
			}
		}
	break;
	
	case('widgets');
		if(isset($_POST['e']) && $class['form']->validate_referer($class['config']->site . '/admin/index.php?p=widgets'))
		{
			$e = explode(',', $_POST['e']);
			$position = end(explode('_', end($e)));
			$posi_md5 = md5($position);
			for($i = 0; $i < count($e) - 1; $i++)
			{
				$widget = explode('_', $e[$i]);
				$db->update('widgets', 'id=\'' . ($i + 1) . '\', position=\'' . $posi_md5 . '\' WHERE id=\'' . $widget[3] . '\' AND position=\'' . $widget[2] . '\'');
				unset($widget);
			}
			$db->update('widgets', 'position=\'' . $position . '\' WHERE position=\'' . $posi_md5 . '\'');
			
			$query = $db->select('id', 'widgets', 'WHERE name=\'Custom\' AND position=\'none\'');
			if(!$custom = $db->fetch_array($query))
			{
				$query = $db->select('id', 'widgets', 'WHERE position=\'none\' ORDER BY id DESC');
				if($num = $db->fetch_array($query))
				{
					$num = $num['id'] + 1;
				}else{
					$num = 1;
				}
				
				$db->insert('widgets', "('$num', 'limny', 'Custom', '', '', 'none', 'all', 'all')");
				print $num;
			}
		}
	break;
	
	case('appearance');
		if(isset($_POST['b']) && $class['form']->validate_referer($class['config']->site . '/admin/index.php?p=appearance', strlen($class['config']->site) + 29))
		{
			$theme = $_POST['theme'];
			if(in_array($theme, $class['admin']->themes_list()))
			{
				if($_POST['b'] == 'install' && !in_array($theme, $class['admin']->installed_themes()))
				{
					include('../incs/file.class.php');
					if($class['admin']->theme_is_compatible($theme))
					{
					if(file_exists('../themes/' . $theme . '/install.php'))
					{
						include('../themes/' . $theme . '/install.php');
						if(function_exists('install'))
						{
							install();
							
							$images_query = $db->select('id', 'images', 'WHERE theme=\'' . add_slashes($theme) . '\'');
							$styles_query = $db->select('id', 'styles', 'WHERE theme=\'' . add_slashes($theme) . '\'');
							$styles = ($db->num_rows($images_query) > 0 || $db->num_rows($styles_query) > 0) ? '<li class="styles"><a href="index.php?p=styles/' . $theme . '">' . STYLES . '</a></li>' : null;
							
							echo 'INSTALLED<ul><li class="setasdefault"><a href="#' . $theme . '">' . SET_AS_DEFAULT . '</a></li></ul><ul>' . $styles . '<li class="edit"><a href="index.php?p=edit/' . $theme . '">' . EDIT . '</a></li><li class="uninstall"><a href="#' . $theme . '">' . UNINSTALL . '</a></li></ul>';
						}
					}
					}else{
						echo 'MESSAGE' . INFO_12;
					}
				}
				else if($_POST['b'] == 'uninstall' && in_array($theme, $class['admin']->installed_themes()))
				{
					if($class['config']->theme != $theme)
					{
						if(file_exists('../themes/' . $theme . '/install.php'))
						{
							include('../themes/' . $theme . '/install.php');
							if(function_exists('uninstall'))
							{
								uninstall();
								$class['admin']->reset_users_theme($theme);
								echo 'UNINSTALLED<ul><li class="install"><a href="#' . $theme . '">' . INSTALL . '</a></li><li class="edit"><a href="index.php?p=edit/' . $theme . '">' . EDIT . '</a></li></ul>';
							}
						}
					}else{
						echo 'MESSAGE' . INFO_11;
					}
				}
				else if($_POST['b'] == 'setasdefault' && in_array($theme, $class['admin']->installed_themes()) && $class['config']->theme != $theme)
				{
					$default_images = $db->select('id', 'images', 'WHERE theme=\'' . add_slashes($class['config']->theme) . '\'');
					$default_styles = $db->select('id', 'styles', 'WHERE theme=\'' . add_slashes($class['config']->theme) . '\'');
					$default = ($db->num_rows($default_images) > 0 || $db->num_rows($default_styles) > 0) ? '<li class="styles"><a href="#">' . STYLES . '</a></li>' : null;
					
					$db->update('config', 'value=\'' . add_slashes($theme) . '\' WHERE name=\'theme\'');
					
					$images_query = $db->select('id', 'images', 'WHERE theme=\'' . add_slashes($theme) . '\'');
					$styles_query = $db->select('id', 'styles', 'WHERE theme=\'' . add_slashes($theme) . '\'');
					$styles = ($db->num_rows($images_query) > 0 || $db->num_rows($styles_query) > 0) ? '<li class="styles"><a href="index.php?p=styles/' . $theme . '">' . STYLES . '</a></li>' : null;
					
					echo 'DONE<ul>' . $styles . '<li class="edit"><a href="index.php?p=edit/' . $theme . '">' . EDIT . '</a></li><li class="uninstall"><a href="#' . $theme . '">' . UNINSTALL . '</a></li></ul>|<ul><li class="setasdefault"><a href="#">' . SET_AS_DEFAULT . '</a></li></ul><ul>' . $default . '<li class="edit"><a href="#">' . EDIT . '</a></li><li class="uninstall"><a href="#">' . UNINSTALL . '</a></li></ul>';
				}
			}
		}
	break;
	
	case('edit');
		if(isset($_POST['theme']) && isset($_POST['file']) && $class['form']->validate_referer($class['config']->site . '/admin/index.php?p=edit/', strlen($class['config']->site) + 24))
		{
			$theme = $_POST['theme'];
			$file = $_POST['file'];
			
			if(in_array($theme, $class['admin']->themes_list()) && file_exists('../themes/' . $theme . '/' . $file))
			{
				include('../incs/file.class.php');
				$class['file'] = new File;
				
				echo $class['file']->get_contents('../themes/' . $theme . '/' . $file);
			}
		}
	break;
	
	case('config');
		if(isset($_POST['c']) && $class['form']->validate_referer($class['config']->site . '/admin/index.php?p=config', strlen($class['config']->site) + 25))
		{
			switch($_POST['c'])
			{
				case('app');
					echo APPLICATION . ':<br /><span class="desc">' . INFO_18 . '</span>|<select name="app">';
					foreach(unserialize($class['config']->apps_name) as $app)
					{
						$selected = ($app[0] == $class['config']->content_app) ? ' selected="selected"' : null;
						echo '<option value="' . $app[0] . '"' . $selected . '>' . $app[1] . '</option>';
					}
					
					echo '</select>';
				break;
				
				case('query');
					echo QUERY . ':<br /><span class="desc">' . INFO_19 . '</span>|<input name="query" type="text" value="' . ($class['config']->content_query) . '" />';
				break;
				
				case('code');
					echo CODE . ':<br /><span class="desc">' . INFO_20 . '</span>|<textarea name="code" rows="10" cols="50">' . str_rep('&,<,>,"', '&amp;,&lt;,&gt;,&quot;', $class['config']->content_code) . '</textarea>';
				break;
			}
		}
	break;
	
	case('usersroles');
		if(isset($_POST['b']) && isset($_POST['c']) && isset($_POST['d']) && $class['form']->validate_referer($class['config']->site . '/admin/index.php?p=usersroles', strlen($class['config']->site) + 29))
		{
			switch($_POST['c'])
			{
				case('user');
					if(!empty($_POST['d']))
					{
						if(preg_match("/^([a-z0-9])(([-a-z0-9._])*([a-z0-9]))([a-z0-9])*$/i" , $_POST['d']))
						{
							$query = $db->select('id', 'users', 'WHERE id!=\'' . add_slashes($_POST['b']) . '\' AND user=\'' . add_slashes($_POST['d']) . '\'');
							if(!$user = $db->fetch_array($query))
							{
								$db->update('users', 'user=\'' . add_slashes($_POST['d']) . '\' WHERE id=\'' . add_slashes($_POST['b']) . '\'');
								echo '|' . $_POST['d'];
								exit;
							}else{
								echo '*' . INFO_22;
							}
						}else{
							echo '*' . INFO_21;
						}
					}
					
					$query = $db->select('user', 'users', 'WHERE id=\'' . add_slashes($_POST['b']) . '\'');
					echo ($user = $db->fetch_array($query)) ? '|' . $user['user'] : null;
				break;
				
				case('email');
					if(!empty($_POST['d']))
					{
						if(preg_match('/^([a-z0-9])(([-a-z0-9._])*([a-z0-9]))*\@([a-z0-9])*(\.([a-z0-9])([-a-z0-9_-])([a-z0-9])+)*$/i' , $_POST['d']))
						{
							$query = $db->select('id', 'users', 'WHERE id!=\'' . add_slashes($_POST['b']) . '\' AND email=\'' . add_slashes($_POST['d']) . '\'');
							if(!$user = $db->fetch_array($query))
							{
								$db->update('users', 'email=\'' . add_slashes($_POST['d']) . '\' WHERE id=\'' . add_slashes($_POST['b']) . '\'');
								echo '|' . $_POST['d'];
								exit;
							}else{
								echo '*' . INFO_24;
							}
						}else{
							echo '*' . INFO_23;
						}
					}
					
					$query = $db->select('email', 'users', 'WHERE id=\'' . add_slashes($_POST['b']) . '\'');
					echo ($user = $db->fetch_array($query)) ? '|' . $user['email'] : null;
				break;
				
				case('role');
					if(!empty($_POST['d']))
					{
						$_POST['d'] = str_rep('&,<,>,"', '&amp;,&lt;,&gt;,&quot;', $_POST['d']);
						
						$query = $db->select('id', 'roles', 'WHERE id!=\'' . add_slashes($_POST['b']) . '\' AND name=\'' . add_slashes($_POST['d']) . '\'');
						if(!$role = $db->fetch_array($query))
						{
							$db->update('roles', 'name=\'' . add_slashes($_POST['d']) . '\' WHERE id=\'' . add_slashes($_POST['b']) . '\'');
							$query_user = $db->select('id', 'users', 'WHERE role=\'' . add_slashes($_POST['b']) . '\'');
							echo '|' . $_POST['d'] . '|' . ($db->num_rows($query_user));
							exit;
						}else{
							echo '*' . INFO_25;
						}
					}
					
					$query = $db->select('name', 'roles', 'WHERE id=\'' . add_slashes($_POST['b']) . '\'');
					echo ($role = $db->fetch_array($query)) ? '|' . $role['name'] : null;
				break;
				
				case('admin');
					if(!empty($_POST['d']))
					{
						$admin = ($_POST['d'] == 'green' && $_POST['b'] != 1) ? 0 : 1;
						$db->update('users', 'admin=\'' . $admin . '\' WHERE id=\'' . add_slashes($_POST['b']) . '\'');
						echo ($admin == 1) ? '<span class="green">' . YES . '</span>' : '<span class="red">' . NO . '</span>';
					}
				break;
				
				case('ban');
					if(!empty($_POST['d']))
					{
						$ban = ($_POST['d'] == 'red' && $_POST['b'] != 1) ? 1 : 0;
						$db->update('users', 'ban=\'' . $ban . '\' WHERE id=\'' . add_slashes($_POST['b']) . '\'');
						echo ($ban == 1) ? '<span class="green">' . YES . '</span>' : '<span class="red">' . NO . '</span>';
					}
				break;
			}
		}
	break;
}

?>
