<?php

/*
 * init.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

require('../init.php');

session_name('_limny');
session_start();

require('admin.class.php');
require('../incs/user.class.php');

$class['admin'] = new Admin;
$class['admin']->check_session();


require('../incs/config.class.php');
require('../incs/language.class.php');
$class['config'] = new Config;
$class['language'] = new Language;
include('../langs/' . $class['language']->language .'/admin.php');

?>
