$(document).ready(function()
{
$("div.users div.row:odd").addClass("odd");
$("div.users div.row:even").addClass("even");

$("div.roles div.row:odd").addClass("odd");
$("div.roles div.row:even").addClass("even");

$("div.edit").live("click", function(){
	var _this = $(this);
	var span = $(this).parent().find("span");
	var id = $(this).parent().parent().attr("id").substring(5);
	var type = $(this).parent().attr("class").replace(/cell /gi, "");
	
	if(type == "email")
	{
		var field = span;
	}else{
		var field = $(this).parent().find("span a");
	}
	
	span.html("<input name=\"" + type + id + "\" type=\"text\" value=\"" + field.html() + "\" />").find("input").focus().keypress(function(e){ if(e.which == 13){ _this.click(); } });
	$(this).parent().find("div.status").removeClass("edit").addClass("save");
});

$("div.save").live("click", function(){
	var parent = $(this).parent();
	var id = parent.parent().attr("id").substring(5);
	var field = parent.find("span input").val();
	var type = parent.attr("class").replace(/cell /gi, "");
	
	parent.find("div.status").removeClass("save").addClass("loading");
	parent.find("span").find("input").attr("disabled", "disabled");
	
	$.ajax({
		type: "POST",
		url: "ajax.php?a=usersroles",
		data: "b=" + id + "&c=" + type + "&d=" + field,
		success: function(data){
			data = data.split("|");
			
			if(data[0].substring(0, 1) == "*")
			{
				$("div#msgcnt div.alert").html(data[0].substring(1));
				$("div#msgbox, div#msgcnt").fadeIn();
			}
				
			if(type == "email")
			{
				parent.find("span").html(data[1]);
			}else{
				parent.find("span").html("<a href=\"index.php?p=" + type + "/" + id + "\">" + data[1] + "</a>");
				if(type == "role")
				{
					parent.find("span").append(" <label class=\"light\">(" + data[2] + ")</label>");
				}
			}
				
			parent.find("div.status").removeClass("loading").addClass("edit");
		}
	});
});

$("a.okay").click(function(){ $("div#msgbox, div#msgcnt").fadeOut(); });

$("div.users div.admin a span, div.users div.ban a span").live("click", function(){
	var _parent = $(this).parent();
	var id = _parent.parent().parent().attr("id").substring(5);
	var type = _parent.parent().attr("class").replace(/cell center /gi, "");
	var _class = $(this).attr("class");
	
	_parent.html("<img src=\"../misc/loading-16.gif\" alt=\"loading\" />");
	
	$.ajax({
		type: "POST",
		url: "ajax.php?a=usersroles",
		data: "b=" + id + "&c=" + type + "&d=" + _class,
		success: function(data){
			_parent.html(data);
		}
	});
});

$("a.addnewrole").click(function(){
	$(this).parent().html("<input name=\"role\" type=\"text\" value=\"\" autocomplete=\"off\" />");
});

$("input#r").attr("autocomplete", "off");
});