<?php

/*
 * functions.php
 *
 * @copyright     Copyright 2009-2011 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

function url($query, $full = false, $lang = true)
{
	if($lang)
	{
		$class['language'] = new Language;
		$q = query(true);
		if(!empty($q[0]) && in_array($q[0], $class['language']->languages('value')))
		{
			$query = $class['language']->language . '/' . $query;
		}
	}
	
	$class['config'] = new Config;
	if($class['config']->uri_mode == 'REQUEST_URI')
	{
		$query = 'index.php/' . $query;
	}else{
		if($class['config']->rewrite == '0')
		{
			$query = 'index.php?q=' . $query;
		}
	}
	return ($full == false) ? base_path() . '/'.$query : $class['config']->site . '/' . $query;
}

function eval_this($str, $eval = '')
{
	if(!empty($str))
	{
		if(!empty($eval)){ eval($eval); }
		
		if(strtolower(substr($str, 0, 5)) == '<?php')
		{
			$str = trim($str);
			$str = substr($str, 6, strlen($str) - 8);
			$str = trim($str);
			return eval($str);
		}else{
			return $str;
		}
	}
	return false;
}

function add_slashes($str)
{
	if(!get_magic_quotes_gpc())
	{
		$str = addslashes($str);
	}
	return $str;
}

function base_path()
{
	return str_replace($_SERVER['DOCUMENT_ROOT'], '', __PATH__);
}

function def($name, $value, $case_insensitive = false)
{
	if(!defined($name))
	{
		define($name, $value, $case_insensitive);
		return true;
	}
	return false;
}

function query($full = false)
{	
	$class['config'] = new Config;
	
	if($class['config']->uri_mode == 'REQUEST_URI')
	{
		$q = @$_SERVER['REQUEST_URI'];
		$q = strstr($q, 'index.php');
		$q = explode('/', $q);
		unset($q[0]);
		$q = array_merge(array(), $q);
	}else{
		$q = @$_GET['q'];
		$q = explode('/', $q);
	}
	
	if(!empty($q) && $full == false)
	{
		$class['language'] = new Language;
		if(in_array($q[0], $class['language']->languages('value')))
		{
			unset($q[0]);
			$q = array_merge(array(), $q);
		}
	}
	return $q;
}

function str_rep($it, $that, $str)
{
	$it = explode(',', $it);
	$that = explode(',', $that);
	
	if(count($it) == count($that))
	{
		foreach($it as $key => $value)
		{
			$str = str_replace($value, $that[$key], $str);
		}
	}
	return (isset($str)) ? $str : false;
}

?>
